<?php

namespace App\Services\Api;

class TopUpSettingService extends BaseApiService
{
    public function getAllSettings(array $params = [])
    {
        return $this->get('/top-up-settings', $params);
    }

    public function getSetting($id)
    {
        return $this->get("/top-up-settings/{$id}");
    }

    public function createSetting(array $data)
    {
        return $this->post('/top-up-settings', $data);
    }

    public function updateSetting($id, array $data)
    {
        return $this->post("/top-up-settings/{$id}", array_merge($data, ['_method' => 'PUT']));
    }

    public function deleteSetting($id)
    {
        return $this->post("/top-up-settings/{$id}", ['_method' => 'DELETE']);
    }
} 