import BaseApiService from './BaseApiService';

export default class CardMemberService extends BaseApiService {
    constructor() {
        super('/api/card-members');
    }

    async getCardMembers(params = {}) {
        return this.get('', params);
    }

    async getLockedAccounts(params = {}) {
        return this.get('/locked', params);
    }

    async unlockAccount(id) {
        return this.post(`/${id}/unlock`);
    }

    async getCardTypes(params = {}) {
        return this.get('/card-types', params);
    }

    async createCardType(cardTypeData) {
        return this.post('/card-types', cardTypeData);
    }

    async updateCardType(id, cardTypeData) {
        return this.put(`/card-types/${id}`, cardTypeData);
    }

    async deleteCardType(id) {
        return this.delete(`/card-types/${id}`);
    }

    async getTermsAndPrivacy() {
        return this.get('/terms-and-privacy');
    }

    async updateTermsAndPrivacy(data) {
        return this.put('/terms-and-privacy', data);
    }

    async batchDelete(ids) {
        return this.post('/batch-delete', { ids });
    }
} 