import BaseApiService from './BaseApiService';

export default class StationService extends BaseApiService {
    constructor() {
        super('/api/stations');
    }

    async getStations(params = {}) {
        return this.get('', params);
    }

    async createStation(stationData) {
        return this.post('', stationData);
    }

    async updateStation(id, stationData) {
        return this.put(`/${id}`, stationData);
    }

    async deleteStation(id) {
        return this.delete(`/${id}`);
    }

    async getFuelPrices(stationId) {
        return this.get(`/${stationId}/fuel-prices`);
    }

    async updateFuelPrices(stationId, priceData) {
        return this.put(`/${stationId}/fuel-prices`, priceData);
    }

    async schedulePriceUpdate(stationId, scheduleData) {
        return this.post(`/${stationId}/schedule-price-update`, scheduleData);
    }

    async getPriceUpdateLogs(stationId, params = {}) {
        return this.get(`/${stationId}/price-update-logs`, params);
    }

    async getBranches(params = {}) {
        return this.get('/branches', params);
    }

    async getFuelTypes(params = {}) {
        return this.get('/fuel-types', params);
    }

    async batchDelete(ids) {
        return this.post('/batch-delete', { ids });
    }
} 