<!-- Top Navbar -->
<nav class="navbar navbar-expand-lg bg-white shadow-sm">
    <div class="container-fluid">
        <button type="button" id="sidebarCollapse" class="btn">
            <i class="fa-solid fa-bars"></i>
        </button>

        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent">
            <i class="fa-solid fa-ellipsis-vertical"></i>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav ms-auto">
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown">
                        <i class="fa-solid fa-user-circle me-1"></i>
                        <span>{{ auth()->user()->name ?? 'Guest' }}</span>
                    </a>
                    <ul class="dropdown-menu dropdown-menu-end">
                        <li>
                            <a class="dropdown-item" href="{{ route('my-profile') }}">
                                <i class="fa-solid fa-user me-2"></i>My Profile
                            </a>
                        </li>
                        <li><hr class="dropdown-divider"></li>
                        <li>
                            <form action="{{ route('logout') }}" method="POST">
                                @csrf
                                <button type="submit" class="dropdown-item text-danger">
                                    <i class="fa-solid fa-right-from-bracket me-2"></i>Logout
                                </button>
                            </form>
                        </li>
                    </ul>
                </li>
            </ul>
        </div>
    </div>
</nav>

<style>
.navbar {
    padding: 15px;
    background-color: #fff;
    border-bottom: 1px solid #eee;
}

#sidebarCollapse {
    padding: 5px 10px;
    background: transparent;
    border: none;
    color: #333;
}

#sidebarCollapse:hover {
    color: #E74610;
}

.navbar-nav .nav-link {
    color: #333;
    padding: 8px 15px;
}

.navbar-nav .nav-link:hover {
    color: #E74610;
}

.dropdown-menu {
    border: none;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
    padding: 0.5rem 0;
}

.dropdown-item {
    padding: 0.5rem 1rem;
    color: #333;
}

.dropdown-item:hover {
    background-color: #f8f9fa;
    color: #E74610;
}

.dropdown-item.text-danger:hover {
    background-color: #dc3545;
    color: #fff;
}

@media (max-width: 768px) {
    .navbar {
        padding: 10px;
    }
}
</style> 