<!-- Sidebar -->
<nav id="sidebar">
    <div class="sidebar-header">
        <h3><img src="{{ asset('img/logo.png') }}" class="img-fluid" alt="Logo" /><span></span></h3>
    </div>

    <ul class="list-unstyled components">
        <li class="{{ Request::is('user-management') ? 'active' : '' }}">
            <a href="{{ route('user.management') }}" class="dashboard">
                <i class="fa-solid fa-users"></i><span>User Management</span>
            </a>
        </li>

        <li class="{{ Request::is('notification') ? 'active' : '' }}">
            <a href="{{ route('notification') }}" class="dashboard">
                <i class="fa-solid fa-bell"></i><span>Notifications</span>
            </a>
        </li>

        <li class="dropdown {{ Request::is('card-member', 'locked-accounts') ? 'active' : '' }}">
            <a href="#memberManagement" data-bs-toggle="collapse" aria-expanded="false" class="dropdown-toggle">
                <i class="fa-solid fa-users-gear"></i><span>Member Management</span>
            </a>
            <ul class="collapse list-unstyled menu" id="memberManagement">
                <li class="{{ Request::is('card-member') ? 'active' : '' }}">
                    <a href="{{ route('card-member') }}">Card Member</a>
                </li>
                <li class="{{ Request::is('locked-accounts') ? 'active' : '' }}">
                    <a href="{{ route('locked-accounts') }}">Locked Accounts</a>
                </li>
            </ul>
        </li>

        <li class="{{ Request::is('top-up-settings') ? 'active' : '' }}">
            <a href="{{ route('top-up-settings') }}" class="dashboard">
                <i class="fa-solid fa-cog"></i><span>Top Up Settings</span>
            </a>
        </li>

        <li class="{{ Request::is('system-parameters') ? 'active' : '' }}">
            <a href="{{ route('system-parameters') }}">
                <i class="fa-solid fa-sliders"></i><span>System Parameters</span>
            </a>
        </li>

        <li class="dropdown {{ Request::is('fuel-price-*') ? 'active' : '' }}">
            <a href="#fuelPriceUpdate" data-bs-toggle="collapse" aria-expanded="false" class="dropdown-toggle">
                <i class="fa-solid fa-gas-pump"></i><span>Fuel Price Update</span>
            </a>
            <ul class="collapse list-unstyled menu" id="fuelPriceUpdate">
                <li class="{{ Request::is('fuel-price-on-demand') ? 'active' : '' }}">
                    <a href="{{ route('fuel-price-on-demand') }}">On-Demand</a>
                </li>
                <li class="{{ Request::is('fuel-price-schedule') ? 'active' : '' }}">
                    <a href="{{ route('fuel-price-schedule') }}">Schedule</a>
                </li>
                <li class="{{ Request::is('fuel-price-update-logs') ? 'active' : '' }}">
                    <a href="{{ route('fuel-price-update-logs') }}">Update Logs</a>
                </li>
            </ul>
        </li>
    </ul>
</nav>

<style>
#sidebar {
    min-width: 250px;
    max-width: 250px;
    background: #fff;
    transition: all 0.3s;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
}

#sidebar.active {
    margin-left: -250px;
}

#sidebar .sidebar-header {
    padding: 20px;
    background: #fff;
    border-bottom: 1px solid #eee;
}

#sidebar .sidebar-header img {
    max-height: 40px;
}

#sidebar ul.components {
    padding: 20px 0;
}

#sidebar ul li {
    margin-bottom: 5px;
}

#sidebar ul li a {
    padding: 10px 20px;
    display: flex;
    align-items: center;
    gap: 10px;
    color: #333;
    text-decoration: none;
    transition: all 0.3s;
}

#sidebar ul li a:hover,
#sidebar ul li.active > a {
    background: #E74610;
    color: #fff;
}

#sidebar ul li a i {
    width: 20px;
    text-align: center;
}

#sidebar .dropdown-toggle::after {
    margin-left: auto;
}

#sidebar ul.menu {
    padding-left: 35px;
}

#sidebar ul.menu li a {
    padding: 8px 15px;
    font-size: 0.9rem;
}

@media (max-width: 768px) {
    #sidebar {
        margin-left: -250px;
    }
    #sidebar.active {
        margin-left: 0;
    }
}
</style> 